<?php
/*------------------------------------------------------------------------
# com_contentfake - Content Fake
# ------------------------------------------------------------------------
# author    Francisco Javier Félix Belmonte 
# copyright Copyright (C) 2012 www.inode64.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.inode64.com
# Technical Support:  http://www.inode64.com/Codigo/Joomla/Componente-CONTENT_FAKE-para-la-creacion-de-contenidos-falsos.html
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;
 
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
 
class JFormFieldcontentfake extends JFormFieldList
{
	protected $type = 'contentfake';
 
	protected function getOptions() 
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('id,title');
		$query->from('#__contentfake');
		$db->setQuery((string)$query);
		$messages = $db->loadObjectList();
		$options = array();
		if ($messages)
		{
			foreach($messages as $message) 
			{
				$options[] = JHtml::_('select.option', $message->id, $message->title);
			}
		}
		$options = array_merge(parent::getOptions(), $options);
		return $options;
	}
}
?>
